
QGIS Application - Bug report #8377

Point pattern fill: invalid scaling of displacements when printing or writing PDF from composer

2013-07-29 06:43 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17150

Description

When printing out point-pattern fills or creating PDF documents with point pattern fill, the horizontal or vertical displacement values are

not calculated correctly. Output on screen is fine, but when printing the map, the displacement values are even not honored or not taking

into account the dpi-value.

See attached files - screenshot with displacement values and correct rendering on screen (horizontal displacement is half the distance of

the grid). PDF showing that displacement is wrong.

History

#1 - 2013-07-29 06:45 AM - Andreas Neumann

- File point_pattern_fill_print.pdf added

#2 - 2013-07-29 06:55 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#3 - 2013-07-31 07:36 AM - Marco Hugentobler

- Status changed from Open to Closed

Should be fixed in 200fae74418b486e75c82516f86d3ba0642e9b7b. Please test.

Files

point_pattern_fill.png 250 KB 2013-07-29 Andreas Neumann

point_pattern_fill_print.pdf 488 KB 2013-07-29 Andreas Neumann
